From eff0c8c3abd02d1b4ca7051093968b3797dbcee5 Mon Sep 17 00:00:00 2001
From: Sinji Prasetio <sinjiprasetio@outlook.com>
Date: Mon, 29 Dec 2025 21:02:01 +0700
Subject: [PATCH 7/9] update

---
 app/Filament/Resources/TicketResource.php     |  6 +++-
 app/Livewire/Wheel.php                        |  2 ++
 ...9_205204_add_prize_id_to_tickets_table.php | 28 +++++++++++++++++++
 3 files changed, 35 insertions(+), 1 deletion(-)
 create mode 100644 database/migrations/2025_12_29_205204_add_prize_id_to_tickets_table.php

diff --git a/app/Filament/Resources/TicketResource.php b/app/Filament/Resources/TicketResource.php
index 8534b13..08ab7e1 100644
--- a/app/Filament/Resources/TicketResource.php
+++ b/app/Filament/Resources/TicketResource.php
@@ -106,6 +106,10 @@ public static function table(Table $table): Table
                     })
                     ->label(__('Win Type')),
                 Tables\Columns\TextColumn::make('prize.prize')
+                    ->label(__('Prize Set'))
+                    ->sortable()
+                    ->default('-'),
+                Tables\Columns\TextColumn::make('prize_name')
                     ->label(__('Prize'))
                     ->sortable()
                     ->default('-'),
@@ -203,4 +207,4 @@ public static function getModelLabel(): string
     {
         return __('Ticket');
     }
-}
\ No newline at end of file
+}
diff --git a/app/Livewire/Wheel.php b/app/Livewire/Wheel.php
index e80fb06..1011564 100644
--- a/app/Livewire/Wheel.php
+++ b/app/Livewire/Wheel.php
@@ -79,6 +79,7 @@ public function redeem()
             $this->state = $ticket->prize->winable;
             $this->prize = $ticket->prize;
             $ticket->status = $this->state == 'winable' ? 'win' : 'lose';
+            $ticket->prize_name = $this->prize->prize;
             $ticket->prize_status = $this->state == 'winable' ? 'pending' : 'unavailable';
             $ticket->spin_time = date('Y-m-d H:i:s');
             $ticket->save();
@@ -103,6 +104,7 @@ public function redeem()
             }
         } while (!$final);
 
+        $ticket->prize_id = $this->prize->id;
         $ticket->prize_name = $this->prize->prize;
         $ticket->status = $this->state == 'winable' ? 'win' : 'lose';
         $ticket->prize_status = $this->state == 'winable' ? 'pending' : 'unavailable';
diff --git a/database/migrations/2025_12_29_205204_add_prize_id_to_tickets_table.php b/database/migrations/2025_12_29_205204_add_prize_id_to_tickets_table.php
new file mode 100644
index 0000000..6175276
--- /dev/null
+++ b/database/migrations/2025_12_29_205204_add_prize_id_to_tickets_table.php
@@ -0,0 +1,28 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+return new class extends Migration
+{
+    /**
+     * Run the migrations.
+     */
+    public function up(): void
+    {
+        Schema::table('tickets', function (Blueprint $table) {
+            $table->foreignId('prize_id')->nullable()->after('member_id');
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     */
+    public function down(): void
+    {
+        Schema::table('tickets', function (Blueprint $table) {
+            $table->dropColumn('prize_id');
+        });
+    }
+};
-- 
2.50.0


